//--------------------------------------------------------------
// File     : main.c
// Datum    : 30.10.2013
// Version  : 1.0
// Autor    : UB
// EMail    : mc-4u(@)t-online.de
// Web      : www.mikrocontroller-4u.de
// CPU      : STM32F429
// IDE      : CooCox CoIDE 1.7.4
// GCC      : 4.7 2012q4
// Module   : CMSIS_BOOT, M4_CMSIS_CORE
// Funktion : Demo der ADC-Single-Library
// Hinweis  : Diese zwei Files muessen auf 8MHz stehen
//              "cmsis_boot/stm32f4xx.h"
//              "cmsis_boot/system_stm32f4xx.c"
// In Configuration diese Define hinzufgen :
// "STM32F429_439xx" , "__ASSEMBLY__" , "USE_STDPERIPH_DRIVER"
//--------------------------------------------------------------

#include "main.h"
#include "stm32_ub_lcd_ili9341.h"
#include "stm32_ub_font.h"
#include "stm32_ub_adc1_single.h"
#include <stdio.h>


int main(void)
{
  uint16_t adc_wert;
  char buf[20];

  SystemInit(); // Quarz Einstellungen aktivieren

  // Init vom LCD
  UB_LCD_Init();
  // Init vom ADC
  UB_ADC1_SINGLE_Init();

  // Init der Layer
  UB_LCD_LayerInit_Fullscreen();
  // auf Hintergrund schalten
  UB_LCD_SetLayer_1();
  // Hintergrund komplett mit einer Farbe fllen
  UB_LCD_FillLayer(RGB_COL_WHITE);
  // auf Vordergrund schalten
  UB_LCD_SetLayer_2();
  // Vordergrund komplett mit einer Farbe fllen
  UB_LCD_FillLayer(RGB_COL_GREEN);

  // Ueberschrift
  UB_Font_DrawString(10,10,"Demo_09 :  ",&Arial_11x18,RGB_COL_WHITE,RGB_COL_RED);
  UB_Font_DrawString(10,30,"ADC-Single ",&Arial_11x18,RGB_COL_WHITE,RGB_COL_RED);


  while(1)
  {
	  // ADC-Messung ohne Mittelwertbildung
	  adc_wert=UB_ADC1_SINGLE_Read(ADC_PA5);
	  sprintf(buf,"PA5 = %4d",adc_wert);
	  UB_Font_DrawString(10,100,buf,&Arial_11x18,RGB_COL_BLACK,RGB_COL_GREEN);

	  // ADC-Messung mit Mittelwertbildung ber 64 Werte
	  adc_wert=UB_ADC1_SINGLE_Read_MW(ADC_PC3);
	  sprintf(buf,"PC3 = %4d",adc_wert);
	  UB_Font_DrawString(10,150,buf,&Arial_11x18,RGB_COL_BLACK,RGB_COL_GREEN);
  }
}

